### Hierarchy

- DeepCopy<OfferSearchResultItem>
  - OfferSearchResultItem

## Index

### Constructors

- constructor

### Properties

- interaction
- offer
- offerSearch

### Methods

- copy
- deepCopyFromJson
- toJson
- fromJson

## Constructors

### constructor

- new OfferSearchResultItem(offerSearch?: OfferSearch, offer?: Offer, interaction?: OfferInteraction | undefined): OfferSearchResultItem

- - Defined in repository/models/OfferSearchResultItem.ts:20

  #### Parameters

  - ##### Default value offerSearch: OfferSearch = new OfferSearch()

  - ##### Default value offer: Offer = new Offer()

  - ##### Optional interaction: OfferInteraction | undefined

  #### Returns OfferSearchResultItem

## Properties

### interaction

interaction: OfferInteraction | undefined

- Defined in repository/models/OfferSearchResultItem.ts:11

### offer

offer: Offer

- Defined in repository/models/OfferSearchResultItem.ts:10

### offerSearch

offerSearch: OfferSearch

- Defined in repository/models/OfferSearchResultItem.ts:9

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferSearchResultItem>): OfferSearchResultItem

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:8

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferSearchResultItem>

  #### Returns OfferSearchResultItem

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferSearchResultItem

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/OfferSearchResultItem.ts:41

  #### Returns OfferSearchResultItem

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/OfferSearchResultItem.ts:33

  #### Returns object

### Static fromJson

- fromJson(json: object): OfferSearchResultItem

- - Defined in repository/models/OfferSearchResultItem.ts:13

  #### Parameters

  - ##### json: object

  #### Returns OfferSearchResultItem

Generated using TypeDoc